<?php
namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

class TestController extends Controller
{
    //
    function index(Request $request){

//        $staffNo = $request->username??"yf60144";
//        $url = 'http://api-mis.offcn.com/index.php/applogin/isworking';
//        $data = sign($staffNo);
//        $data['type'] = 6;
//        $data['username'] = $staffNo;
//
//        $result = http_request_code($url,
//            null,
//            'POST',
//            $data
//        );
//
//        $userInfo = json_decode($result,true);


        $staffNo = $request->username??"yf60144";;
        $url = 'http://api-mis.offcn.com/index.php/applogin/isworking';
        $data = sign($staffNo);
        $data['type'] = 6;
        $data['username'] = $staffNo;
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
        curl_setopt($ch, CURLOPT_HEADER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_TIMEOUT, 10);
        $result = curl_exec($ch);

        $userInfo = json_decode($result,true);


        var_dump($userInfo);

    }
















}
